langcode: en
status: true
dependencies: {  }
id: upgrade_d7_taxonomy_vocabulary
class: Drupal\migrate\Plugin\Migration
field_plugin_method: alterFieldMigration
cck_plugin_method: null
migration_tags:
  - 'Drupal 7'
  - Configuration
migration_group: migrate_drupal_7_geo
label: 'Taxonomy vocabularies'
source:
  constants:
    vocabulary: topics
    parent: 0
  plugin: d7_taxonomy_vocabulary
process:
  vid: constants/vocabulary
  name:
    - plugin: skip_on_value
      method: row
      not_equals: true
      source: name
      # Only convert  these vocabularies on terms.
      value:
        - 'Economic Sectors'
        - 'Regions'
        - 'Institutions & Structures'
        - 'Visions & Models'
        - 'Movements & Struggles'
        - 'Practices, Tools & Strategies'
  description/value:
    - plugin: get
      source: description
  description/format:
    - plugin: default_value
      default_value: 'full_html'
  weight:
    -
      plugin: get
      source: weight
  parent: constants/vocabulary
destination:
  plugin: 'entity:taxonomy_term'
  default_bundle: topics
migration_dependencies:
  required: {  }
  optional: {  }
